#
# Copyright (c) wildnux
#
# Spec file for oracle-java-installer
# 
#
# This package is provided as is without any warranty.
# I am not responsible for any damages whatsoever occurs
# to your computer by installing this package.
#
#  
# Please feel free to modify to improve the package
#
# NOTE: version matched with the java version

%define		debug_package  %{nil}
%define		javarelease 7u21
%define docdir	%{_datadir}/doc/java-oracle

Name:		get-java-oracle
Version:	1.7.0_21
Release:	%mkrel 1.nonfree
Summary:	Download and install the java from oracle's site
Summary(fr_FR):	Télécharge et installe le java à partir du site d'Oracle
License:	Proprietary
Group:		Development/Java
URL:		http://java.com/en/

Source0:	oracle-java-installer.sh.in
Source1:	oracle-java-uninstaller.sh.in

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	wget
BuildRequires:	update-alternatives

Conflicts:	jre >= 1.7.0_05
Requires:	wget

Provides:	java-1.6.0-oracle
Provides:	java-1.6.0-sun
Provides:	jre-1.6.0-sun
Provides:	jre-1.6.0-oracle
Provides:	jre-oracle
Provides:	jre-sun
Provides:	java
Provides:	javaws
Provides:	jre
Provides:	libnpjp2.so

%description
This package installs the java from oracle's site.
This is an installer for Java JRE-7u21.

This package does not contain any program files as the Java license does
not allow distribution. By installing this package you will download and
install Java from java.com.
You must accept the Java EULA before using it.
Please be patient, this is a 45 MB download and may take some time.
Removing this package will uninstall Java from your system.

%description -l fr_FR
Ce paquetage télécharge et installe le java à partir du site d'Oracle.
Il s'agit d'un programme d'installation pour Java JRE-7u21.

Ce paquet ne contient pas de fichiers de programme car la licence de Java
ne permet pas la distribution. En installant ce paquetage vous pourrez 
télécharger et installer Java à partir du site officiel d'Oracle.
Vous devez accepter le CLUF Java avant de l'utiliser.
Veuillez être patient, c'est un téléchargement de 45 Mo et peut prendre un 
certain temps.
La suppression de ce paquetage permet de désinstaller Java de votre système.

%prep
cp %{SOURCE0} .
cp %{SOURCE1} .

# %%setup

%build
# No need to edit the file oracle-java-instaler.in:
%ifarch x86_64
    %define myarch 64
    %define linkurl http://javadl.sun.com/webapps/download/AutoDL?BundleId=76853
%else 
    %define myarch 32
    %define linkurl http://javadl.sun.com/webapps/download/AutoDL?BundleId=76851
%endif

sed -e 's,__linkURL__,%{linkurl},' -e 's,__ARCH__,%{myarch},' -e 's,__VERSION__,%{version},' -e 's,__JAVARELEASE__,%{javarelease},' oracle-java-installer.sh.in > oracle-java-installer-%{javarelease}.sh
sed -e 's,__ARCH__,%{myarch},' -e 's,__VERSION__,%{version},' oracle-java-uninstaller.sh.in > oracle-java-uninstaller-%{javarelease}.sh

%install
%{__mkdir} -p %{buildroot}/var/adm/update-scripts/java
%{__mv} oracle-java-installer-%{javarelease}.sh %{buildroot}/var/adm/update-scripts/java
%{__mv} oracle-java-uninstaller-%{javarelease}.sh %{buildroot}/var/adm/update-scripts/java
%{__mkdir} -p %{buildroot}%{docdir}
install -d -m 0755 %buildroot%{docdir}
touch %buildroot%{docdir}/{COPYRIGHT,LICENSE,README}

%files
%defattr(0755,root,root,0755)
/var/adm/update-scripts/java/*.sh
%defattr(-,root,root,-)
%doc %{docdir}

%post
/var/adm/update-scripts/java/oracle-java-installer-%{javarelease}.sh
exit 0

%preun
/var/adm/update-scripts/java/oracle-java-uninstaller-%{javarelease}.sh
exit 0

%changelog

* Wed May 15 2013 david.david (MLO Team) <david.david> 1.7.0_21-1.nonfree.mga3
+ Rebuild package for Mageia 3 (Nonfree)
- imported package from Polish community
- add french language in %%description and %%Summary
- add Conflicts jre >= 1.7.0_05
- modify "spec" file
- modify Source0 and Source1
- version: jre-7u21
